Browse Source

Bug 19289: DBRev 17.12.00.027

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
18.05.x
Jonathan Druart 4 years ago
parent
commit
55abcbee53
  1. 2
      Koha.pm
  2. 2
      installer/data/mysql/atomicupdate/bug_19289.sql
  3. 11
      installer/data/mysql/updatedatabase.pl

2
Koha.pm

@ -29,7 +29,7 @@ use vars qw{ $VERSION };
# - #4 : the developer version. The 4th number is the database subversion.
# used by developers when the database changes. updatedatabase take care of the changes itself
# and is automatically called by Auth.pm when needed.
$VERSION = "17.12.00.026";
$VERSION = "17.12.00.027";
sub version {
return $VERSION;

2
installer/data/mysql/atomicupdate/bug_19289.sql

@ -1,2 +0,0 @@
INSERT IGNORE INTO systempreferences (`variable`, `value`, `options`, `explanation`, `type`)
VALUES ('UseACQFrameworkForBiblioRecords','0','','Use the ACQ framework for the catalog details','YesNo');

11
installer/data/mysql/updatedatabase.pl

@ -15735,6 +15735,17 @@ if( CheckVersion( $DBversion ) ) {
print "Upgrade to $DBversion done (Bug 19804: Add issuingrules.suspension_chargeperiod)\n";
}
$DBversion = '17.12.00.027';
if( CheckVersion( $DBversion ) ) {
$dbh->do(q|
INSERT IGNORE INTO systempreferences (`variable`, `value`, `options`, `explanation`, `type`)
VALUES ('UseACQFrameworkForBiblioRecords','0','','Use the ACQ framework for the catalog details','YesNo')
|);
SetVersion( $DBversion );
print "Upgrade to $DBversion done (Bug 19289 - Add system preference UseACQFrameworkForBiblioRecords)\n";
}
# SEE bug 13068
# if there is anything in the atomicupdate, read and execute it.

Loading…
Cancel
Save